@font-face {
  font-family: "ProductSans";
  src: url("font/ProductSans-Regular.ttf") format("truetype");
}
html {
  scroll-behavior: smooth;
}
* {
  margin: 0%;
  padding: 0%;
  box-sizing: border-box;
  font-family: "ProductSans", Arial, sans-serif;
  transition: all .3s;
}
body::-webkit-scrollbar {
  display: none;
}



:root {
  --primary: #0293ae;
  --gradient: #007794;
  --secondary: #d7f8ff;
  --text: #191919;
  --accent: #ffffff;
  --light: #f6f6f6;
}

.header {
  width: 100%;
  height: 85px;
  padding: 20px 80px;
  background: var(--accent);
  position: sticky;
  top: 0;
  z-index: 100;
  border-bottom: 6px solid var(--secondary);
  .navbar {
    position: sticky;
    top: 0;
    left: 0;
    display: flex;
    align-items: center;
    justify-content: space-between;
    .links {
      display: flex;
      width: 100%;
      justify-content: center;
      ul {
        display: flex;
        justify-content: center;
        gap: 1.5rem;
        li {
          display: flex;
          a {
            position: relative;
            text-decoration: none;
            color: var(--primary);
            text-wrap: nowrap;
            font-size: 18px;
            font-weight: bold;
            text-transform: uppercase;
            display: inline-block;

            &:hover,
            &.active {
              &::before {
                width: 50%;
              }
            }

            &::before {
              content: "";
              position: absolute;
              height: 2px;
              top: 100%;
              left: 50%;
              transform: translateX(-50%);
              background-color: var(--primary);
              border-radius: 10px;
              width: 0%;
              transition: width 0.3s ease-out;
            }
          }
        }
      }
    }
    .langs {
      .donate-btn {
        background: var(--primary);
        width: 150px;
        height: 40px;
        border-radius: 100px;
        border: none;
        text-transform: uppercase;
        font-size: 18px;
        color: var(--accent);
        font-weight: 500;
        outline: none;
      }
      .menu {
        display: none;
        cursor: pointer;
        .menu-container {
          overflow: hidden;
          position: fixed;
          top: -200%;
          left: 0;
          width: 100%;
          height: 100dvh;
          background: var(--accent);
          transition: 0.7s;
          a {
            position: relative;
            display: flex;
            align-items: center;
            justify-content: space-between;
            text-decoration: none;
            h1 {
              padding: 10px;
              color: #474747;
              font-size: 3.75rem;
            }
            span {
              position: absolute;
              right: 0%;
              transform: translateX(100%);
              font-size: 2.8rem;
              opacity: 0;
            }
            span.active {
              opacity: 1;
              transform: translateX(0%);
            }
          }
          li.active {
            border-bottom: 3px solid var(--primary) !important;
            h1 {
              color: var(--primary);
            }
          }
          .menu-links {
            margin-top: -30px;
            ul {
              li {
                border-bottom: 3px solid #474747;
              }
            }
          }
          li {
            display: block;
            margin: 0px 20px;
            opacity: 0;
            &:hover {
              border-bottom: 3px solid var(--primary) !important;
              h1 {
                transform: translateX(0px);
                transition: 0.6s cubic-bezier(0.52, 0.24, 0.23, 1.56) !important;
                color: var(--primary);
                &.active {
                  transform: translateX(20px);
                }
              }
            }
          }
          li.animateOn {
            animation: arival 0.5s forwards;
          }
          li.animateOff {
            opacity: 1;
            animation: depart 0.5s forwards;
          }
          li:nth-child(1) {
            animation-delay: 0.2s;
          }
          li:nth-child(2) {
            animation-delay: 0.4s;
          }
          li:nth-child(3) {
            animation-delay: 0.6s;
          }
          li:nth-child(4) {
            animation-delay: 0.8s;
          }
          li:nth-child(5) {
            animation-delay: 1s;
          }
          li:nth-child(6) {
            animation-delay: 1.2s;
          }

          .close {
            width: 100%;
            display: flex;
            align-items: end;
            justify-content: end;
            padding: 20px;
          }
          span {
            color: var(--primary);
            font-size: 30px;
            font-weight: bold;
          }
        }
      }
      .menu-container.active {
        top: 0px;
        span.closeBtn {
          animation: closeBtnRotate 1s forwards;
          animation-delay: 0.5s;
        }
      }
    }
  }
}

.sec-btn {
  width: 159px;
  height: 30px;
  border-radius: 100px;
  background: var(--secondary);
  color: var(--primary);
  border: none;
  outline: none;
  font-size: 14px;
  font-weight: 800;
}

.container {
  display: flex;
  width: 100%;
  padding: 80px;
  gap: 10px;
  .sub-container {
    width: 50%;
    h1 {
      font-weight: 300;
      font-size: 36px;
      margin: 20px 0px 15px 0px;
      strong {
        font-size: 36px;
      }
      & > span {
        display: block;
        span {
          font-weight: bold;
        }
      }
    }
    p {
      max-width: 500px;
      font-size: 20px;
      font-weight: 500;
      margin-bottom: 54px;
    }

    strong {
      font-size: 20px;
    }
    .hero-btn {
      button {
        margin: 10px;
        width: 200px;
        height: 40px;
        background: linear-gradient(to top, var(--primary), var(--gradient));
        outline: none;
        font-size: 18px;
        font-weight: 500;
        color: var(--accent);
        border: none;
        border-radius: 1000px;
      }
      button:last-child {
        background: transparent;
        color: var(--primary);
      }
    }
    .tags {
      width: 100%;
      display: flex;
      flex-wrap: wrap;
      justify-content: space-between;
      gap: 1%;
      .tag {
        width: 30%;
        text-align: center;
        background: var(--secondary);
        color: var(--text);
        padding: 10px 25px;
        font-weight: 600;
        border-radius: 6px;
      }
    }
  }
  .sub-container:last-child {
    display: flex;
    justify-content: end;
    img {
      width: 100%;
      height: 100%;
      object-fit: contain;
    }
    .hero-img {
      all: unset;
    }

    .features-tag {
      display: flex;
      flex-wrap: wrap;
      justify-content: center;
      gap: 10px;
      .tag {
        width: 30%;
        min-width: 250px;
        height: 200px;
        border-radius: 30px;
        box-shadow: 1px 1px 5px rgba(0, 0, 0, 0.33);
        padding: 14px;
        .features-head {
          display: flex;
          align-items: center;
          gap: 6px;
          img {
            width: 54px;
          }
        }
        .features-body {
          p {
            font-size: 16px;
            margin: 0;
          }
        }
      }
      .tag.active {
        border: 2px solid var(--primary);
      }
    }
  }
}

.slider {
  width: 100%;
  background: var(--light);
  display: flex;
  justify-content: center;
  gap: 10px;
  padding: 20px 80px;
  .slide {
    width: 25%;
    height: 110px;
    padding: 10px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    border: 1px solid var(--primary);
    border-radius: 22px;
  }
}

.download {
  .content,
  .imgs {
    width: 50%;
  }
  display: flex;
  width: 100%;
  padding: 80px;
  gap: 20px;
  h1 {
    font-weight: normal;
    margin: 10px 0px;
    font-size: 36px;
  }
  p {
    font-size: 20px;
    max-width: 600px;
  }

  .apps {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    gap: 5px;
    margin: 30px 0px;
    img {
      width: 150px;
    }
  }
  .imgs {
    display: flex;
    img {
      height: fit-content;
      max-width: 320px;
      width: 50%;
    }
  }
}

.review {
  display: flex;
  align-items: center;
  width: 100%;
  padding: 80px;
  gap: 20px;
  .content {
    width: 40%;
    h1 {
      font-weight: normal;
      margin: 10px 0px;
      font-size: 36px;
    }
    p {
      font-size: 20px;
      max-width: 600px;
    }
    .rating {
      display: flex;
      flex-direction: column;
      margin-top: 20px;
    }
    span {
      display: flex;
      align-items: center;
      h1 {
        font-weight: bold;
        margin-right: 10px;
      }
      img {
        width: 100%;
        height: fit-content;
      }
    }
  }
  .reviews {
    width: 60%;
    display: flex;
    flex-direction: column;
    align-items: end;
    .review-container {
      width: 80%;
      padding: 35px;
      .review-head {
        margin-bottom: 20px;
        display: flex;
        align-items: center;
        justify-content: space-between;
        .initials {
          display: flex;
          gap: 10px;
          align-items: center;
        }
        .rating {
          display: flex;
          height: fit-content;
        }
      }
    }
    .review-container.active {
      width: 100%;
      border: 1px solid var(--primary);
      border-radius: 10px;
    }
  }
}

.video {
  display: flex;
  flex-direction: column;
  padding: 80px;
  .content {
    width: 100%;
    h1 {
      font-weight: normal;
      margin: 10px 0px;
      font-size: 36px;
    }
    p {
      font-size: 20px;
      margin: 10px 0px;
      max-width: 600px;
    }
  }
  .iframes {
    display: flex;
    gap: 10px;
    width: 100%;
    overflow-x: scroll;
    .iframe-wrapper{
      display: flex;
      width: fit-content;
      gap: 10px;
    }
    .img-container {
      width: 300px;
      display: flex;
      flex-direction: column;
      img {
        width: 300px;
      }
      strong {
        color: var(--primary);
      }
    }
  }
}

.footer {
  width: 100%;
  border-top: 6px solid var(--secondary);
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  padding: 80px;

  .footer-link {
    display: flex;
    height: fit-content;
    ul {
      margin: 20px 20px 20px 0px;

      li {
        display: flex;
        strong {
          color: var(--primary);
        }
        i {
          margin: 20px 5px;
        }
      }
    }
  }
}

.footer-line {
  font-weight: bold;
  display: flex;
  justify-content: space-between;
  color: var(--primary);
  .copyright {
    display: flex;
    text-wrap: nowrap;
    align-items: center;
  }
  .terms {
    display: flex;
    align-items: center;
    gap: 20px;
  }
}

.features {
  .sub-container {
    width: 40%;
  }
  .sub-container:last-child {
    width: 60%;
  }
}
